Skip to main content
GET
식별자로 고객 조회

Authorizations

Authorization
string
header
required

조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.

Query Parameters

identifier_value
string
required

조회할 식별자 값입니다.

identifier_type
enum<string> | null

식별자 유형입니다. phone, email, external_id 중 하나입니다. 생략하면 phone, email, external_id 순서로 검색해 처음 일치한 고객을 반환합니다.

Available options:
phone,
email,
external_id

Response

성공 응답

식별자 검색, 생성, 수정, 병합 경로에서 반환하는 고객 응답입니다.

메모리는 고객 단건 조회가 반환하는 CustomerDetailResponse에만 있습니다.

id
string
required

고객 UUID입니다.

attributes
Attributes · object
required

자동 추출한 고객 속성 값입니다. 이름에 해당하는 정의가 없어도 저장된 값을 유지합니다.

created_at
integer
required

리소스 생성 시각입니다. 밀리초 단위 unix timestamp입니다.

updated_at
integer
required

리소스 수정 시각입니다. 밀리초 단위 unix timestamp입니다.

identifiers
CustomerIdentifierResponse · object[]
required

고객 신원 식별자 목록입니다.

metadata
Metadata · object
required

고객 메타데이터입니다.

interaction_summary
CustomerInteractionSummary · object
required

통화, 채팅, SMS 인터랙션의 집계 요약입니다.

name
string | null

고객 이름입니다.

note
string | null

고객 메모입니다.